# Uses of Interface
org.astrogrid.samp.web.CredentialPresenter

Packages that use CredentialPresenter
Package
Description
org.astrogrid.samp.web
Classes relating to the SAMP Web Profile.

## Uses of CredentialPresenter in org.astrogrid.samp.web

Classes in org.astrogrid.samp.web that implement CredentialPresenter
Modifier and Type
Class
Description
`class`
`WebCredentialPresenter`
CredentialPresenter for use with the Web Profile.
Constructors in org.astrogrid.samp.web with parameters of type CredentialPresenter
Modifier
Constructor
Description
``
`HubSwingClientAuthorizer(Component parent, CredentialPresenter presenter)`
Constructor.